//--------------------------------------------------------------
// File     : main.c
// Datum    : 04.10.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der WS2812_8CH Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_ws2812_8ch.h"

int main(void)
{
  WS2812_RGB_t hg_col, vg_col;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init aller WS2812-Ketten
  // (8 Ketten mit je max 100 LEDs)
  UB_WS2812_Init();

  // Farbe fuer Hintergrund auf gruen setzen
  hg_col.blue=0;
  hg_col.green=10;
  hg_col.red=0;

  // Farbe fuer Vordergrund auf rot setzen
  vg_col.blue=0;
  vg_col.green=0;
  vg_col.red=10;

  // setzen aller LEDs auf Hintergrund Farbe
  UB_WS2812_All_RGB(0xFF, hg_col);

  // Zeichnen vom Text 'Hallo' an Position 0
  UB_WS2812_String_RGB(0,"Hallo", vg_col, hg_col);

  // Ausgabe aller Daten an die LEDs
  UB_WS2812_RefreshAll();

  while(1)
  {
    // nichts zu tun
  }
}
